%define major 1
%define filever %(echo v%{version}| tr . -)
%define libname %mklibname OIS %{major}
%define develname %mklibname OIS -d

Summary:	Object Oriented Input System
Name:		ois
Version:	1.3
Release:	%mkrel 9
License:	zlib
Group:		System/Libraries
URL:		http://sourceforge.net/projects/wgois/
Source0:	http://downloads.sourceforge.net/wgois/%{name}_%{filever}.tar.gz
Patch0:		ois-include-fix.patch
Patch1:		ois-fix-configure.patch
BuildRequires:	libx11-devel
BuildRequires:	libxaw-devel

%description
Object Oriented Input System (OIS) is meant to be a cross platform,
simple solution for using all kinds of Input Devices
(KeyBoards, Mice, Joysticks, etc) and feedback devices
(e.g. forcefeedback).

%package -n %{libname}
Summary:	An OIS library
Group:		System/Libraries

%description -n %{libname}
Object Oriented Input System (OIS) is meant to be a cross platform,
simple solution for using all kinds of Input Devices
(KeyBoards, Mice, Joysticks, etc) and feedback devices
(e.g. forcefeedback).

%package -n %{develname}
Summary:	Development tools for programs using %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname OIS 1 -d}

%description -n	%{develname}
This package contains the header files and libraries needed for
developing programs using the %{name} library.

%prep
%setup -qn %{name}-%{filever}
%autopatch -p1

%build
sh ./bootstrap
%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc ReadMe.txt
%{_libdir}/lib*%{major}*.so

%files -n %{develname}
%{_includedir}/OIS/
%{_libdir}/libOIS.so
%{_libdir}/pkgconfig/OIS.pc


%changelog
* Fri Feb 12 2016 umeabot <umeabot> 1.3-9.mga6
+ Revision: 956510
- Mageia 6 Mass Rebuild

* Sat Aug 22 2015 akien <akien> 1.3-8.mga6
+ Revision: 868036
- Rebuild for gcc 5.2.1

* Wed Oct 15 2014 umeabot <umeabot> 1.3-7.mga5
+ Revision: 742548
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3-6.mga5
+ Revision: 683170
- Mageia 5 Mass Rebuild

  + wally <wally>
    - disable static build and drop .la

* Fri Oct 18 2013 umeabot <umeabot> 1.3-5.mga4
+ Revision: 508620
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.3-4.mga3
+ Revision: 361823
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 rtp <rtp> 1.3-3.mga3
+ Revision: 336146
- change AM_CONFIG_HEADERS into AC_CONFIG_HEADERS
- fix build

* Sat Oct 01 2011 supp <supp> 1.3-2.mga2
+ Revision: 150708
- replace incorrect spec macro
- rebuild for cauldron/2

* Sun Feb 27 2011 supp <supp> 1.3-1.mga1
+ Revision: 61253
- imported package ois

